Bug 303645 - Would be nice to enable the "Date Taken" column view for photos or any other EXIF data
Summary: Would be nice to enable the "Date Taken" column view for photos or any other ...
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 07:48 UTC by uselessemailaccount
Modified: 2018-01-23 23:40 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Column Types (108.38 KB, image/png)
2012-07-25 04:04 UTC, uselessemailaccount
Details

Note You need to log in before you can comment on or make changes to this bug.
Description uselessemailaccount 2012-07-17 07:48:57 UTC
When viewing files in detailed view, standard columns such as file, size, permissions, modified, etc are selectable. Would be nice to be able to select EXIF data types also. This would allow photographers to view their photos "Date Taken" properties instead of the mundane "modified".

Reproducible: Always

Steps to Reproduce:
Not a selectable option
Comment 1 uselessemailaccount 2012-07-25 04:04:35 UTC
Created attachment 72747 [details]
Column Types
Comment 2 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:21:28 UTC
Resetting assignee to default as per bug #305719
Comment 3 Mike 2015-11-09 14:31:00 UTC
That is indeed still a desireable wish to see in Plasma 5 / Dolphin 15.08.2 doesn`t have this option.
Comment 4 Nate Graham 2018-01-23 23:40:31 UTC
Git commit ea6a2424fb454eafb80a731e5fdce4e4a50cb606 by Nathaniel Graham, on behalf of Julian Schraner.
Committed on 23/01/2018 at 23:33.
Pushed by ngraham into branch 'master'.

Add option to sort for original date

Summary:
Takes the original date a photo was taken out of the data provided by Baloo & makes it available to the user

{F5671033}

Test Plan:
- Works with a batch of time-tagged photos
- Can be hidden/shown/sorted like any other property

Reviewers: #dolphin, ngraham, elvisangelaccio

Reviewed By: #dolphin, ngraham, elvisangelaccio

Subscribers: elvisangelaccio, ngraham

Differential Revision: https://phabricator.kde.org/D10059

M  +1    -1    src/kitemviews/kfileitemlistwidget.cpp
M  +1    -0    src/kitemviews/kfileitemmodel.cpp
M  +1    -1    src/kitemviews/kfileitemmodel.h
M  +1    -0    src/kitemviews/private/kbaloorolesprovider.cpp

https://commits.kde.org/dolphin/ea6a2424fb454eafb80a731e5fdce4e4a50cb606